<template>
    <div class="d-flex-column w-100 sticky-position">
        <h2 class="fs-5 fw-light">{{ this.quantity }} portion<span v-if="quantity > 1">s</span> de {{ productName }}</h2>
        <div class="d-flex justify-content-between">
            <p>(Portion Type : {{ portionType }}g)</p>
            <input type="range" min="0" max="15" :value="quantity" @input="$emit('update:quantity', Number($event.target.value))">
        </div>
    </div>
</template>

<script>

export default {
    name: "PortionFrame",
    props: {
        quantity: Number,
        productName: String,
        portionType: Number,
    },
    emits: ['update:quantity']
}
</script>

